アプリケーションのパラメータ情報を取得
対象アプリ:Chatflow、Workflow、新しい Agent、チャットボット、Agent、テキストジェネレーター。
アプリケーションの入力フォーム設定(機能スイッチ、入力パラメータ名、タイプ、デフォルト値)を取得します。
curl --request GET \
--url https://{api_base_url}/parameters \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/parameters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/parameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"opening_statement": "Hello! How can I help you today?",
"suggested_questions": [
"What can you do?",
"Tell me about your features."
],
"suggested_questions_after_answer": {
"enabled": true
},
"speech_to_text": {
"enabled": false
},
"text_to_speech": {
"enabled": false,
"voice": "alloy",
"language": "en-US",
"autoPlay": "disabled"
},
"retriever_resource": {
"enabled": true
},
"annotation_reply": {
"enabled": false
},
"more_like_this": {
"enabled": false
},
"sensitive_word_avoidance": {
"enabled": false
},
"user_input_form": [
{
"text-input": {
"label": "City",
"variable": "city",
"required": true,
"default": ""
}
}
],
"file_upload": {
"image": {
"enabled": true,
"number_limits": 3,
"detail": "high",
"transfer_methods": [
"remote_url",
"local_file"
]
}
},
"system_parameters": {
"file_size_limit": 15,
"image_file_size_limit": 10,
"audio_file_size_limit": 50,
"video_file_size_limit": 100,
"workflow_file_upload_limit": 10
}
}Authorizations
API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}。API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。API Key が欠落または無効な場合、HTTP 401 とエラーコード unauthorized が返されます。
Response
アプリケーションパラメータ情報。
オープニングステートメントのテキストです。
提案された質問のリストです。
回答後の提案質問の設定です。
Show child attributes
Show child attributes
音声テキスト変換機能の設定です。
Show child attributes
Show child attributes
テキスト音声変換機能の設定です。
Show child attributes
Show child attributes
ナレッジ検索の引用リソース設定です。
Show child attributes
Show child attributes
アノテーション返信機能の設定です。
Show child attributes
Show child attributes
類似コンテンツ機能の設定です。
Show child attributes
Show child attributes
コンテンツモデレーション機能の設定です。
Show child attributes
Show child attributes
ユーザー入力フォームの設定です。
- Text Input
- Paragraph
- Select
Show child attributes
Show child attributes
ファイルアップロードの設定。
Show child attributes
Show child attributes
システムレベルのパラメータ制限です。
Show child attributes
Show child attributes
Was this page helpful?
